<?php

function NAMESPACE_theme_enqueue_scripts() {
	// header enqueues
	wp_enqueue_style( 'style', get_stylesheet_uri(), array(), NAMESPACE_THEME_VER );
	wp_enqueue_style( 'theme-style', NAMESPACE_ASSETS_DIR .'/css/theme.min.css', array(), NAMESPACE_THEME_VER );
	wp_enqueue_script( 'bundle', NAMESPACE_ASSETS_DIR .'/js/bundle.min.js', array( 'jQuery'), NAMESPACE_THEME_VER, false );

	// footer enqueues
	wp_deregister_script('jquery' );
	wp_enqueue_script( 'jquery', 'https://code.jquery.com/jquery-3.6.0.min.js', array(), '3.6.0', true );
	wp_script_add_data( 'jquery', 'integrity', 'sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=' );
	wp_script_add_data( 'jquery', 'crossorigin', 'anonymous' );

	wp_deregister_script('popperjs' );
	wp_enqueue_script( 'popperjs', 'https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js', array(), '1.14.7', true );
	wp_script_add_data( 'popperjs', 'integrity', 'sha384-7+zCNj/IqJ95wo16oMtfsKbZ9ccEh31eOz1HGyDuCQ6wgnyJNSYdrPa03rtR1zdB' );
	wp_script_add_data( 'popperjs', 'crossorigin', 'anonymous' );

	wp_enqueue_script( 'footer-bundle', NAMESPACE_ASSETS_DIR .'/js/footer-bundle.min.js', array( 'jquery', 'popperjs' ), NAMESPACE_THEME_VER, true );
}
add_action( 'wp_enqueue_scripts', 'NAMESPACE_theme_enqueue_scripts' );