// rollup.config.js
import { terser } from "rollup-plugin-terser";
/**
 * @type {import('rollup').RollupOptions}
 */
export default [
    {
        input: 'assets/src/js/bundle.js',
        output: {
            file: 'assets/js/bundle.min.js',
            format: 'cjs',
            sourcemap: true
        },
        plugins: [terser()]
    },
    {
        input: 'assets/src/js/footer-bundle.js',
        output: {
            file: 'assets/js/footer-bundle.min.js',
            format: 'cjs',
            sourcemap: true
        },
        plugins: [terser()]
    },

];